Locator/ID Separation Protocol (LISP): Shared Extension Message and IANA Registry for Packet Type Allocations
RFC 9304
Mohamed Boucadair
Orange
Rennes
35000
France
mohamed.boucadair@orange.com
Christian Jacquenet
Orange
Rennes
35000
France
christian.jacquenet@orange.com
October 2022
RTG
LISP
Shared Experiment Code
LISP codepoints
Experiment Identifier
Experiment ID
LISP Experimental Registry
LISP Extension
Extending LISP
Exhausted LISP types
LISP IANA
IANA
This document specifies a Locator/ID Separation Protocol (LISP) shared message type for defining future extensions and conducting experiments without consuming a LISP Packet Type codepoint for each extension.
This document obsoletes RFC 8113.
Introduction
The Locator/ID Separation Protocol (LISP) base specification, [RFC9301], defines a set of primitives that are identified with a packet type code. Several extensions have been proposed to add more LISP functionalities. It is expected that additional LISP extensions will be proposed in the future.
The "LISP Packet Types" IANA registry (see Section 5) is used to ease the tracking of LISP message types.
Because of the limited type space [RFC9301] and the need to conduct experiments to assess new LISP extensions, this document specifies a shared LISP extension message type and describes a procedure for registering LISP shared extension sub-types (see Section 3). Concretely, one single LISP message type code is dedicated to future LISP extensions; sub-types are used to uniquely identify a given LISP extension making use of the shared LISP extension message type. These identifiers are selected by the author(s) of the corresponding LISP specification that introduces a new LISP extension message type.
Requirements Language
The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT", "SHOULD", "SHOULD NOT", "RECOMMENDED", "NOT RECOMMENDED", "MAY", and "OPTIONAL" in this document are to be interpreted as described in BCP 14 [RFC2119] [RFC8174] when, and only when, they appear in all capitals, as shown here.
LISP Shared Extension Message Type
Figure 1 depicts the common format of the LISP shared extension message. The type field MUST be set to 15 (see Section 5).
LISP Shared Extension Message Type

 0                   1                   2                   3
 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
|Type=15|        Sub-type       |   extension-specific          |
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
//                    extension-specific                       //
//                                                             //
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

The 'Sub-type' field conveys a unique identifier that MUST be registered with IANA (see Section 5.2).
The exact structure of the 'extension-specific' portion of the message is specified in the corresponding specification document.
Security Considerations
This document does not introduce any additional security issues other than those discussed in [RFC9301].
IANA Considerations
LISP Packet Types
IANA has created a registry titled "LISP Packet Types", numbered 0-15.
Values can be assigned via Standards Action [RFC8126]. Documents that request for a new LISP Packet Type may indicate a preferred value in the corresponding IANA sections.
IANA has replaced the reference to RFC 8113 with the RFC number of this document.
Also, IANA has updated the table as follows:
OLD:
Message | Code | Reference
LISP Shared Extension Message | 15 | [RFC8113]
NEW:
Message | Code | Reference
LISP Shared Extension Message | 15 | RFC 9304
Sub-Types
IANA has created the "LISP Shared Extension Message Type Sub-types" registry. IANA has updated that registry by replacing the reference to RFC 8113 with the RFC number of this document.
The values in the range 0-1023 are assigned via Standards Action. This range is provisioned to anticipate, in particular, the exhaustion of the LISP Packet Types.
The values in the range 1024-4095 are assigned on a First Come, First Served (FCFS) basis. The registration procedure is to provide IANA with the desired codepoint and a point of contact; providing a short description (together with an acronym, if relevant) of the foreseen usage of the extension message is also encouraged.
Changes from RFC 8113
The following changes were made from RFC 8113:
- Changed the status from Experimental to Standards Track.
- Indicated explicitly that the shared extension is used for two purposes: extend the type space and conduct experiments to assess new LISP extensions.
- Deleted pointers to some examples illustrating how the shared extension message is used to extend the LISP protocol.
- IANA has updated the "IANA LISP Packet Types" and "LISP Shared Extension Message Type Sub-types" registries to point to this document instead of RFC 8113.
Normative References
[RFC9301]

Locator/ID Separation Protocol (LISP) Control Plane
Dino Farinacci
Fabio Maino
Vince Fuller
Albert Cabellos, Ed.
October 2022
RFC 9301
DOI 10.17487/RFC9301
[RFC2119]
[RFC8174]
[RFC8126]
Acknowledgments
This work is partly funded by ANR LISP-Lab project #ANR-13-INFR-009-X.
Many thanks to Luigi Iannone, Dino Farinacci, and Alvaro Retana for the review.
Thanks to Geoff Huston, Brian Carpenter, Barry Leiba, and Suresh Krishnan for the review.